<?php
$installer = $this;
$installer->startSetup();
$sql=<<<SQLTEXT

CREATE TABLE ipqualityscore_devices (
  order_id int(11) DEFAULT NULL,
  `unique` int(10) unsigned DEFAULT NULL COMMENT 'Unique',
  fraud_chance varchar(255) DEFAULT NULL COMMENT 'Fraud Chance',
  country varchar(255) DEFAULT NULL COMMENT 'Country',
  city varchar(255) DEFAULT NULL COMMENT 'City',
  proxy int(10) unsigned DEFAULT NULL COMMENT 'Proxy',
  vpn int(10) unsigned DEFAULT NULL COMMENT 'Vpn',
  tor int(10) unsigned DEFAULT NULL COMMENT 'Tor',
  guid varchar(255) DEFAULT NULL COMMENT 'GUID',
  guid_confidence varchar(255) DEFAULT NULL COMMENT 'GUID Confidence',
  recent_abuse int(10) unsigned DEFAULT NULL COMMENT 'Recent Abuse',
  device_id varchar(255) DEFAULT NULL COMMENT 'Device Id',
  time varchar(255) DEFAULT NULL COMMENT 'User Id',
  added_at varchar(255) DEFAULT NULL COMMENT 'User Id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='IPQualityScore Devices';

CREATE TABLE ipqualityscore_email (
  email varchar(255) DEFAULT NULL COMMENT 'Email',
  valid int(10) unsigned DEFAULT NULL COMMENT 'Valid',
  disposable int(10) unsigned DEFAULT NULL COMMENT 'Disposable',
  timed_out int(10) unsigned DEFAULT NULL COMMENT 'Timed Out',
  deliverability varchar(255) DEFAULT NULL COMMENT 'Deliverability',
  suspect int(10) unsigned DEFAULT NULL COMMENT 'Suspect',
  smtp_score int(11) DEFAULT NULL,
  overall_score int(10) unsigned DEFAULT NULL COMMENT 'overall_score',
  first_name varchar(255) DEFAULT NULL COMMENT 'First Name',
  generic int(10) unsigned DEFAULT NULL COMMENT 'Generic',
  common int(10) unsigned DEFAULT NULL COMMENT 'Common',
  dns_valid int(10) unsigned DEFAULT NULL COMMENT 'DNS Valid',
  honeypot int(10) unsigned DEFAULT NULL COMMENT 'Honeypot',
  recent_abuse int(10) unsigned DEFAULT NULL COMMENT 'Recent Abuse',
  frequent_complainer int(10) unsigned DEFAULT NULL COMMENT 'Frequent Complainer',
  suggested_domain varchar(255) DEFAULT NULL COMMENT 'Suggested domain',
  catch_all int(10) unsigned DEFAULT NULL COMMENT 'Catch All',
  spam_trap_score varchar(255) DEFAULT NULL COMMENT 'Spam Trap Score',
  request_id varchar(255) DEFAULT NULL COMMENT 'Request Id',
  leaked int(10) unsigned DEFAULT NULL COMMENT 'Leaked',
  added_at int(10) unsigned DEFAULT NULL COMMENT 'Added At'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='IPQualityScore Email';

CREATE TABLE ipqualityscore_orders (
  order_id int(10) unsigned DEFAULT NULL COMMENT 'Order Id',
  customer_id int(10) unsigned DEFAULT NULL COMMENT 'Customer Id',
  proxy_score int(10) unsigned DEFAULT NULL COMMENT 'Proxy Score',
  email_score int(10) unsigned DEFAULT NULL COMMENT 'Email Score',
  device_score int(10) unsigned DEFAULT NULL COMMENT 'Device Score',
  valid_phone varchar(255) DEFAULT NULL COMMENT 'Valid Phone',
  valid_transaction int(10) unsigned DEFAULT NULL COMMENT 'Valid Transaction',
  reported int(10) unsigned NOT NULL COMMENT 'Reported',
  request_id varchar(255) DEFAULT NULL COMMENT 'Request Id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='IPQualityScore Orders';

CREATE TABLE ipqualityscore_proxy (
  fraud_score int(10) unsigned DEFAULT NULL COMMENT 'Fraud Score',
  proxy tinyint(1) DEFAULT NULL COMMENT 'Proxy',
  isp varchar(255) DEFAULT NULL COMMENT 'ISP',
  organization varchar(255) DEFAULT NULL COMMENT 'Organization',
  ASN varchar(255) DEFAULT NULL COMMENT 'ASN',
  host varchar(255) DEFAULT NULL COMMENT 'HOST',
  country_code varchar(255) DEFAULT NULL COMMENT 'Country Code',
  city varchar(255) DEFAULT NULL COMMENT 'City',
  region varchar(255) DEFAULT NULL COMMENT 'Region',
  is_crawler tinyint(1) DEFAULT NULL COMMENT 'Is Crawler',
  latitude varchar(255) DEFAULT NULL COMMENT 'Latitude',
  longitude varchar(255) DEFAULT NULL COMMENT 'Longitude',
  timezone varchar(255) DEFAULT NULL COMMENT 'Timezone',
  vpn tinyint(1) DEFAULT NULL COMMENT 'VPN',
  tor tinyint(1) DEFAULT NULL COMMENT 'TOR',
  recent_abuse tinyint(1) DEFAULT NULL COMMENT 'Recent Abuse',
  bot_status tinyint(1) DEFAULT NULL COMMENT 'Bot Status',
  mobile tinyint(1) DEFAULT NULL COMMENT 'Mobile',
  operating_system varchar(255) DEFAULT NULL COMMENT 'Operating System',
  browser varchar(255) DEFAULT NULL COMMENT 'Browser',
  device_model varchar(255) DEFAULT NULL COMMENT 'Device Model',
  device_brand varchar(255) DEFAULT NULL COMMENT 'Device Brand',
  valid_billing_address varchar(255) DEFAULT NULL COMMENT 'Valid Billing Address',
  valid_shipping_address varchar(255) DEFAULT NULL COMMENT 'Valid Shipping Address',
  valid_billing_email varchar(255) DEFAULT NULL COMMENT 'Valid Billing Email',
  valid_shipping_email varchar(255) DEFAULT NULL COMMENT 'Valid Shipping Email',
  risky_billing_phone varchar(255) DEFAULT NULL COMMENT 'Risky Billing Phone',
  risky_shipping_phone varchar(255) DEFAULT NULL COMMENT 'Risky Shipping Phone',
  fraudulent_behaviour varchar(255) DEFAULT NULL COMMENT 'Fraudulent Behaviou',
  bin_country varchar(255) DEFAULT NULL COMMENT 'Bin Country',
  risky_username varchar(255) DEFAULT NULL COMMENT 'Risky Username',
  valid_billing_phone varchar(255) DEFAULT NULL COMMENT 'Valid Billing Phone',
  valid_shipping_phone varchar(255) DEFAULT NULL COMMENT 'Valid Shipping Phone',
  request_id varchar(255) DEFAULT NULL COMMENT 'Request Id'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='IPQualityScore proxy';


		
SQLTEXT;

$installer->run($sql);
$installer->endSetup();
	 
